/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workhandbill.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workhandbill.dao.WorkHandBillDetailDao;
import com.jeeplus.modules.workhandbill.entity.WorkHandBillDetail;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 交接单材料Service
 * @author 马鹏波
 * @version 2018-06-05
 */
@Service
@Transactional(readOnly = true)
public class WorkHandBillDetailService extends CrudService<WorkHandBillDetailDao, WorkHandBillDetail> {

	@Autowired
	private WorkHandBillDetailDao workHandBillDetailDao;

	public WorkHandBillDetail get(String id) {
		return super.get(id);
	}
	
	public List<WorkHandBillDetail> findList(WorkHandBillDetail workHandBillDetail) {
		return super.findList(workHandBillDetail);
	}
	
	public Page<WorkHandBillDetail> findPage(Page<WorkHandBillDetail> page, WorkHandBillDetail workHandBillDetail) {
		return super.findPage(page, workHandBillDetail);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkHandBillDetail workHandBillDetail) {
		super.save(workHandBillDetail);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkHandBillDetail workHandBillDetail) {
		super.delete(workHandBillDetail);
	}

	public List<WorkHandBillDetail> findListByBillId(WorkHandBillDetail workHandBillDetail){
		return workHandBillDetailDao.findListByBillId(workHandBillDetail);
	}
	
	
}